%global momorel 6
Summary: File transfer utilities between Linux and PalmPilots.
Name: pilot-link
Version: 0.11.8
Release: %{momorel}m
%NoSource 0 http://downloads.pilot-link.org/%{name}-%{version}.tar.bz2 586f84add601e8b86da3093ab784e997
Url: http://www.pilot-link.org/
License: GPL and LGPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.2
BuildPreReq: libpng-devel >= 1.2.5-4m
BuildPreReq: readline-devel, libtermcap-devel, ncurses-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utilities that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your
Momonga Linux system.

%package devel
Requires: %name = %{PACKAGE_VERSION}
Summary: PalmPilot development header files.
Group: Development/Libraries

%description devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot applications.

If you want to develop PalmPilot synchronizing applications, you'll
need to install pilot-link-devel.

%prep 
%setup -q

%build
# maji?
perl -p -i -e 's/-lreadline/-lreadline -ltermcap/' configure

%configure CC=gcc --program-prefix=""
make
pushd bindings/Perl
CFLAGS="%optflags" perl Makefile.PL
make
popd # bindings/Perl

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall

pushd bindings/Perl
make install PERL_INSTALL_ROOT=%{buildroot}
popd # bindings/Perl

rm -f %{buildroot}%{perl_sitearch}/auto/PDA/Pilot/.packlist

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/README* doc/TODO doc/CodingGuidelines
%doc AUTHORS COPYING* ChangeLog README NEWS
%{_libdir}/lib*.so.*
%{perl_sitearch}/PDA
%{perl_sitearch}/auto/PDA
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/%{name}.m4

%changelog
* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.11.8-6m)
- rebuild against libtermcap and ncurses

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11.8-5m)
- rebuild against gcc-c++-3.4.1

* Sun Aug 22 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.11.8-4m)
- build against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11.8-2m)
- remove Epoch from BuildPrereq

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11.8-1m)
- termcap...

* Wed Nov 19 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.11.8-1m)
- updated to 0.11.8
- change URL: and Source: sites
- fix License: GPL and LGPL - see License notes in README
- add BuildPreReq: readline-devel, libtermcap-devel, ncurses-devel, gcc-c++
- append CC=gcc --program-prefix="" at %%configure

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.5-4m)
- rebuild against perl-5.8.2

* Sun Nov  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.5-3m)
- rebuild against perl-5.8.1

* Mon Aug 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.5-2m)
- use NoSource macro

* Mon Nov 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.5-1m)
- rebuild against perl-5.8.0

* Sat Sep 14 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (0.11.3-1m)
- My CLIE T650 requires newer version.

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.5-8k)
- cancel gcc-3.1 autoconf-2.53

* Sat May 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.5-6k)
  applied gcc 3.1 patch

* Mon Oct 29 2001 Toru Hoshina <t@Kondara.org>
- (0.9.5-2k)
- version up.

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr on devel package

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against tcl-8.3.1

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix building with egcs 2.96 and gcc 2.2, build against new libstdc++
- use _mandir macro

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- call ldconfig directly from postun

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man pages

* Wed Oct 20 1999 Preston Brown <pbrown@redhat.com>
- upgrade to pilot-link 0.9.3, rewrite spec.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl
